<div class="row">
    <div class="col-xs-12">
        <img 
            [src]="recipe.imagePath" 
            alt="{{ recipe.name }}" 
            class="img-responsive"
            style="max-height: 150px">
    </div>
</div>
<div class="row">
    <div class="col-xs-12">
        <h3>{{ recipe.name }}</h3>
    </div>
</div>
<div class="row">
    <div class="col-xs-12">
        <div class="btn-group" appDropdown>
            <button type="button" class="btn btn-primary dropdown-toggle">
                Manage Recipe <span class="caret"></span>
            </button>
            <ul class="dropdown-menu">
                <li><a (click)="onShop()">Shop</a></li>
                <li><a (click)="onEdit()">Edit</a></li>
                <li><a (click)="onDelete()">Delete</a></li>
            </ul>
        </div>
    </div>
</div>
<div class="row">
    <div class="col-xs-12">
            {{ recipe.description }}
    </div>
</div>
<div class="row">
    <div class="col-xs-12">
            <h5>Ingredients</h5>
            <ul class="list-group">
                <li class="list-group-item" *ngFor="let ingredient of recipe.ingredients">
                    {{ ingredient.name }} - {{ ingredient.amount }}
                </li>
            </ul>
    </div>
</div>